# Whether a path is free for a page (in a language) and why not when it is taken

`GET /hosting/sites/{id}/pages-path` · Rivier · hosting

Whether a path is free for a page (in a language) and why not when it is taken.

- Scope: hosting:read
- Mcp: rivier_site_path_check
- Graphql: Query.hostingSitePagePathCheck
- Sdk: hosting.sitePage.pathCheck
- Cli: hosting site page path check

## Parameters

- `id` (path, required), string
- `path` (query, required), string
- `locale` (query), string
- `except` (query), string

## Responses

- `200`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X GET 'https://api.rivier.ai/hosting/sites/{id}/pages-path' \
  -H 'Authorization: Bearer $KEY'
```
